Subject: bug#13479: Cross Compiling for ARM

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Jan 2024 03:11:36 -0800

Toon Claes <[email-masked]> writes:

> I was trying to cross-compile emacs for ARM (don't ask me why).
> But got an error during 'make' (see output below FIRST RUN).
>
> So it's for sure 'test-distrub' was build for ARM, while it is trying to run on i686.
>
> On the second run (just, ran 'make again), I got a similar error on 'prefix-args'.
> But for some reason the 'test-distrub' error is gone (probably because 'make' thinks it is already finished.
>
> So I have to compile them with the host compiler (i686).
> But I'm not sure how to implement this properly.
>
>
> Also I would like to get rid of the warning: "LIB_GCC" redefined

That was 12 years ago.  I'm therefore reaching out to ask if this bug is
still relevant, or if it has since been fixed?

If I don't hear back from you within a couple of months, Ill just assume
that this has been fixed and close this bug.

Thanks in advance.